# List Planned Time Off

Returns a paged list of planned time off filtered by date range. Optionally filtered to a single person.

Endpoint: GET /v1/planned-time-off
Version: v1
Security: ApiKey

## Query parameters:

  - `page` (integer)
    The specific page of results requested.

  - `page_size` (integer)
    The number of results in each page.

  - `start_date` (string)
    Filter by entries recorded on or after this date. When not provided, defaults to 7 days ago from today. ISO date formatting expected (yyyy-MM-dd)

  - `end_date` (string)
    Filter by entries recorded on or before this date. When not provided, defaults to today. ISO date formatting expected (yyyy-MM-dd)

  - `person_id` (string)
    Filter by entries recorded for the Person associated with this person_id.

## Response 200 fields (application/json):

  - `count` (integer)
    The number of results in the current page.

  - `total` (integer)
    The total number of results that fulfill the request.

  - `page` (integer)
    The current page of results being returned.

  - `total_pages` (integer)
    The total number of available pages that fulfill the request.

  - `page_size` (integer)
    The number of results in each page returned.

  - `results` (array, required)
    The array of result objects for the current page.

  - `results.id` (string)
    The unique identifier of the planned time off.

  - `results.person_id` (string)
    The unique identifier of the person associated with this time off.

  - `results.allocations` (array)
    The list of date and hours allocations for this time off.

  - `results.allocations.date` (string, required)
    The date of the allocation ISO date formatting expected (yyyy-MM-dd).

  - `results.allocations.hours` (number, required)
    The number of hours allocated on this date. Must be greater than 0 and at most 24.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

